Bug 430910 - timezone exception thrown before any welcome screens
timezone exception thrown before any welcome screens
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-date (Show other bugs)
5.1
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-30 10:14 EST by Rich Johnson
Modified: 2013-04-12 15:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-11 09:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.55 KB, patch)
2008-01-31 04:22 EST, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Rich Johnson 2008-01-30 10:14:00 EST
Description of problem:
  After IPL, an firstboot reported:

    "An error has occured in the timezone module..." 
  
  before presenting the any  of the welcome screens.

Kickstart configured the timezone with:
     timezone --utc America/New_York

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 496, in loadModules
    result = module.launch()
  File "/usr/share/firstboot/modules/timezone.py", line 74, in launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/timezone.py", line 52, in setupScreen
    self.timezoneWindow = scdMainWindow.scdMainWindow (firstboot = True,
showPages = ["timezone"])
  File "/usr/share/system-config-date/scdMainWindow.py", line 254, in __init__
    self.datePage = date_gui.datePage (self.dateBackend, self.xml)
  File "/usr/share/system-config-date/date_gui.py", line 57, in __init__
    self.cal.select_month(times[1]-1, times[0])
AttributeError: 'NoneType' object has no attribute 'select_month'
Comment 1 Robert N. Evans 2008-01-30 18:07:36 EST
We have only seen this error on a system with dual quad cores (8 logical CPUs,
x86_64, 4GB of memory).  It might be a race condition that is not encountered
with less CPUs.
Comment 2 Nils Philippsen 2008-01-31 04:22:45 EST
Created attachment 293559 [details]
proposed patch

Backported fix from the system-config-date Hg repository.
Comment 3 RHEL Product and Program Management 2008-01-31 04:26:04 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Phil Knirsch 2008-04-28 11:36:07 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 5 Phil Knirsch 2008-05-06 11:45:43 EDT
Moving to FasTrack actually, fix is really simple and easy to reproduce.

Read ya, Phil
Comment 10 Jan Ščotka 2009-02-05 08:51:54 EST
Is there any way how test it on machine with less cpus? 
seqeuence
# install system
# rm /etc/sysconfig/firstboot
# reboot
dont show any problem.
Comment 12 Jan Ščotka 2009-02-11 07:53:13 EST
Problems with reproducing bug. Only sanity tests
Comment 14 errata-xmlrpc 2009-02-11 09:29:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0279.html

Note You need to log in before you can comment on or make changes to this bug.